#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Mar 12 20:17:29 2019

@author: marius
"""

import MODEL_wb_SH as model
import Loading_Data as ld
import pyomo.environ as pyo
import xlrd
import time
from pyomo.environ import SolverFactory

year = 2012
path_in = 'allData.xlsx'
path_out = 'results/results_' + str(year) + '.xlsx'

abstract = model.ZEBModel() 
data = ld.createModelData(path_in, year)
data['SS_cap'] = {None: 12.5}
data['DS_cap'] = {None: 90}

instance = abstract.abstractmodel.create_instance(data={'mymodel':data},namespace='mymodel')
opt = pyo.SolverFactory('gurobi')
#opt.options['TimeLimit'] = 3600
#opt.options['BestObjStop'] = 65000
results = opt.solve(instance, tee=True, #to stream the solver output
        					keepfiles=True, #print the LP file for examination
                            symbolic_solver_labels=False) # use human readable names  
ld.saveDeterministicResults(instance, path_out)
print('Objective value', instance.objective_TotalCost())


